use eframe::*;
use eframe::egui;

fn main() -> eframe::Result{
    env_logger::init();
    log::info!("Shrimp!");

    let native_options = eframe::NativeOptions {
        viewport: egui::ViewportBuilder::default()
            .with_title("Shrimp"),
        ..Default::default()
    };
    eframe::run_native(
        "PlateToolEframe",
        native_options,
        Box::new(|cc| Ok(Box::new(plate_tool_eframe::PlateToolEframe::new(cc))))
    )
}
